Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.dsl.routers
Class ContentBasedRouter

    java.lang.Object
      org.mule.routing.outbound.AbstractOutboundRouter
          org.mule.config.dsl.routers.ContentBasedRouter

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, MessageProcessor, MessageRouter, Matchable, MatchableMessageProcessor, MatchableMessageRouter, OutboundRouter, RouterStatisticsRecorder

    public class ContentBasedRouter

extends AbstractOutboundRouter

TODO

Field Summary

Fields inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`enableCorrelation, logger, magicProperties, muleContext, replyTo, resultsHandler, routes, transactionConfig`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ContentBasedRouter()`

Method Summary
`boolean` | `isMatch(MuleMessage message)` Determines if the event should be processed
`MuleEvent` | `route(MuleEvent theEvent)`

Methods inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`addRoute, dispose, getEnableCorrelation, getMuleContext, getReplyTo, getResultsHandler, getRoute, getRouterStatistics, getRoutes, getTransactionConfig, initialise, isDynamicRoutes, process, propagateMagicProperties, removeRoute, sendRequest, sendRequestEvent, setEnableCorrelation, setEnableCorrelationAsString, setMessageProcessors, setMessageProperties, setMuleContext, setReplyTo, setResultsHandler, setRouterStatistics, setRoutes, setTransactionConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentBasedRouter

    public ContentBasedRouter()

Method Detail

### route

    public MuleEvent route(MuleEvent theEvent)
                    throws MessagingException

  Specified by:
    `route` in class `AbstractOutboundRouter`
  Throws:
    `MessagingException`

### isMatch

    public boolean isMatch(MuleMessage message)
                    throws MessagingException

  Description copied from interface: `Matchable`
  Determines if the event should be processed

  Returns:
    true if the event should be processed by this router
  Throws:
    `MessagingException` - if the event cannot be evaluated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.